#include <iostream>
#include <cmath>
int main() {
    long long h,w,res,temp;
    cin>>h>>w;
    if (h>w){
        temp=h;
        h=w;
        w=temp;
    }
    if(h!=1){
        res=(pow(2,w)*h) +(h*w);
    }else{
        res=pow(2,w);
    }
    cout<<res;
    return 0;
}

